searchNodes=[{"doc":"Simple functions for interacting with the Epik v2 API.","ref":"Epik.html","title":"Epik","type":"module"},{"doc":"Check the status of domain names, including their price and availability.iex(1)&gt; Epik.check_domains([&quot;tribes.host&quot;, &quot;fediverse.gold&quot;]) {:ok, %HTTPoison.Response{ status_code: 200, body: %{ &quot;code&quot; =&gt; 1000, &quot;data&quot; =&gt; %{ &quot;FEDIVERSE.GOLD&quot; =&gt; %{ &quot;available&quot; =&gt; 1, &quot;domain&quot; =&gt; &quot;FEDIVERSE.GOLD&quot;, &quot;premium&quot; =&gt; 0, &quot;price&quot; =&gt; 5.49, &quot;supported&quot; =&gt; 1 }, &quot;TRIBES.HOST&quot; =&gt; %{ &quot;available&quot; =&gt; 0, &quot;available_reason&quot; =&gt; &quot;in use&quot;, &quot;domain&quot; =&gt; &quot;TRIBES.HOST&quot;, &quot;premium&quot; =&gt; 0, &quot;supported&quot; =&gt; 1 } }, &quot;message&quot; =&gt; &quot;Command completed successfully.&quot; } }}","ref":"Epik.html#check_domains/1","title":"Epik.check_domains/1","type":"function"},{"doc":"Fetch a list of available TLDs from the API.iex(1)&gt; Epik.fetch_tlds() {:ok, [&quot;academy&quot;, &quot;accountant&quot;, &quot;accountants&quot;, &quot;actor&quot;, &quot;ae.org&quot;, &quot;ag&quot;, &quot;agency&quot;, &quot;airforce&quot;, &quot;am&quot;, &quot;apartments&quot;, &quot;app&quot;, &quot;archi&quot;, &quot;army&quot;, &quot;art&quot;, &quot;associates&quot;, &quot;at&quot;, &quot;attorney&quot;, &quot;auction&quot;, &quot;audio&quot;, &quot;baby&quot;, &quot;band&quot;, &quot;bar&quot;, &quot;bargains&quot;, &quot;bayern&quot;, &quot;bazar&quot;, &quot;bbs&quot;, &quot;be&quot;, &quot;beer&quot;, &quot;best&quot;, &quot;bet&quot;, &quot;bible&quot;, &quot;bid&quot;, &quot;bike&quot;, &quot;bingo&quot;, &quot;bio&quot;, &quot;bit&quot;, &quot;biz&quot;, &quot;black&quot;, &quot;blackfriday&quot;, &quot;blog&quot;, &quot;blue&quot;, &quot;boats&quot;, &quot;bond&quot;, &quot;boston&quot;, &quot;boutique&quot;, &quot;br.com&quot;, &quot;builders&quot;, &quot;business&quot;, ...]}","ref":"Epik.html#fetch_tlds/0","title":"Epik.fetch_tlds/0","type":"function"},{"doc":"Returns a list of TLDs compatible with the Epik API.This is useful for client-side validation since some functions like Epik.check_domains/1 will return an error if any one domain is invalid.This list is accurate at the time this package was published. To fetch the current list, use Epik.fetch_tlds/0.iex(1)&gt; Epik.list_tlds() [&quot;academy&quot;, &quot;accountant&quot;, &quot;accountants&quot;, &quot;actor&quot;, &quot;ae.org&quot;, &quot;ag&quot;, &quot;agency&quot;, &quot;airforce&quot;, &quot;am&quot;, &quot;apartments&quot;, &quot;app&quot;, &quot;archi&quot;, &quot;army&quot;, &quot;art&quot;, &quot;associates&quot;, &quot;at&quot;, &quot;attorney&quot;, &quot;auction&quot;, &quot;audio&quot;, &quot;baby&quot;, &quot;band&quot;, &quot;bar&quot;, &quot;bargains&quot;, &quot;bayern&quot;, &quot;bazar&quot;, &quot;bbs&quot;, &quot;be&quot;, &quot;beer&quot;, &quot;best&quot;, &quot;bet&quot;, &quot;bible&quot;, &quot;bid&quot;, &quot;bike&quot;, &quot;bingo&quot;, &quot;bio&quot;, &quot;bit&quot;, &quot;biz&quot;, &quot;black&quot;, &quot;blackfriday&quot;, &quot;blog&quot;, &quot;blue&quot;, &quot;boats&quot;, &quot;bond&quot;, &quot;boston&quot;, &quot;boutique&quot;, &quot;br.com&quot;, &quot;builders&quot;, &quot;business&quot;, &quot;buzz&quot;, &quot;ca&quot;, ...]","ref":"Epik.html#list_tlds/0","title":"Epik.list_tlds/0","type":"function"},{"doc":"Register a domain.iex(1)&gt; Epik.register_domain(&quot;fedigold.xyz&quot;, 1) {:ok, %HTTPoison.Response{ status_code: 200, body: %{ &quot;code&quot; =&gt; 1000, &quot;data&quot; =&gt; %{ &quot;FEDIGOLD.XYZ&quot; =&gt; %{ &quot;error&quot; =&gt; 0, &quot;message&quot; =&gt; &quot;Successfully created&quot;, &quot;payment&quot; =&gt; %{ &quot;error&quot; =&gt; 0, &quot;paymentStatus&quot; =&gt; true, &quot;paymentValue&quot; =&gt; 0.99, &quot;period&quot; =&gt; &quot;1&quot;, &quot;pricePerPeriod&quot; =&gt; 0.99 }, &quot;paymentStatus&quot; =&gt; true, &quot;paymentValue&quot; =&gt; 0.99, &quot;period&quot; =&gt; &quot;1&quot;, &quot;pricePerPeriod&quot; =&gt; 0.99 } }, &quot;message&quot; =&gt; &quot;Command completed successfully.&quot;, &quot;period&quot; =&gt; &quot;1&quot;, &quot;total&quot; =&gt; %{ &quot;amount&quot; =&gt; 0.99, &quot;message&quot; =&gt; &quot;Withdraw money successfully&quot;, &quot;method&quot; =&gt; &quot;Balance&quot;, &quot;success&quot; =&gt; true } } }}","ref":"Epik.html#register_domain/2","title":"Epik.register_domain/2","type":"function"},{"doc":"API client for the Epik.com v2 API.Interact with the API directly. It's usually better to use the Epik module if such a function exists. Otherwise, this module can do everything else.The path parameter in each function is appended to the endpoint set in your config. It should always begin with a forward slash, for example: /v2/domains/checkThe signature included in your config is used automatically to authenticate requests.It uses HTTPoison to make requests and parses the response with Jason. The API is slightly different than HTTPoison to make it more ergonomic for use with Epik, but it does return HTTPoison.Response structs.","ref":"Epik.Client.html","title":"Epik.Client","type":"module"},{"doc":"Send a GET request.iex(1)&gt; Epik.Client.get(&quot;/v2/domains/check&quot;, %{&quot;DOMAINS&quot; =&gt; &quot;tribes.host,fediverse.gold&quot;}) {:ok, %HTTPoison.Response{ status_code: 200, body: %{ &quot;code&quot; =&gt; 1000, &quot;data&quot; =&gt; %{ &quot;FEDIVERSE.GOLD&quot; =&gt; %{ &quot;available&quot; =&gt; 1, &quot;domain&quot; =&gt; &quot;FEDIVERSE.GOLD&quot;, &quot;premium&quot; =&gt; 0, &quot;price&quot; =&gt; 5.49, &quot;supported&quot; =&gt; 1 }, &quot;TRIBES.HOST&quot; =&gt; %{ &quot;available&quot; =&gt; 0, &quot;available_reason&quot; =&gt; &quot;in use&quot;, &quot;domain&quot; =&gt; &quot;TRIBES.HOST&quot;, &quot;premium&quot; =&gt; 0, &quot;supported&quot; =&gt; 1 } }, &quot;message&quot; =&gt; &quot;Command completed successfully.&quot; } }}","ref":"Epik.Client.html#get/2","title":"Epik.Client.get/2","type":"function"},{"doc":"Send a POST request.iex(1)&gt; Epik.Client.post(&quot;/v2/domains/fedigold.xyz/create&quot;, %{&quot;PERIOD&quot; =&gt; 1}) {:ok, %HTTPoison.Response{ status_code: 200, body: %{ &quot;code&quot; =&gt; 1000, &quot;data&quot; =&gt; %{ &quot;FEDIGOLD.XYZ&quot; =&gt; %{ &quot;error&quot; =&gt; 0, &quot;message&quot; =&gt; &quot;Successfully created&quot;, &quot;payment&quot; =&gt; %{ &quot;error&quot; =&gt; 0, &quot;paymentStatus&quot; =&gt; true, &quot;paymentValue&quot; =&gt; 0.99, &quot;period&quot; =&gt; &quot;1&quot;, &quot;pricePerPeriod&quot; =&gt; 0.99 }, &quot;paymentStatus&quot; =&gt; true, &quot;paymentValue&quot; =&gt; 0.99, &quot;period&quot; =&gt; &quot;1&quot;, &quot;pricePerPeriod&quot; =&gt; 0.99 } }, &quot;message&quot; =&gt; &quot;Command completed successfully.&quot;, &quot;period&quot; =&gt; &quot;1&quot;, &quot;total&quot; =&gt; %{ &quot;amount&quot; =&gt; 0.99, &quot;message&quot; =&gt; &quot;Withdraw money successfully&quot;, &quot;method&quot; =&gt; &quot;Balance&quot;, &quot;success&quot; =&gt; true } } }}","ref":"Epik.Client.html#post/2","title":"Epik.Client.post/2","type":"function"},{"doc":"General request function. If there's something the other functions in this module can't do, you can use this instead.iex(1)&gt; Epik.Client.request(:get, &quot;/v2/domains/check&quot;, %{&quot;DOMAINS&quot; =&gt; &quot;tribes.host,fediverse.gold&quot;}, &quot;&quot;, [{&quot;user-agent&quot;, &quot;Epik Elixir API Client &lt;https://hex.pm/packages/epik&gt;; Bot&quot;}]) {:ok, %HTTPoison.Response{ status_code: 200, body: %{ &quot;code&quot; =&gt; 1000, &quot;data&quot; =&gt; %{ &quot;FEDIVERSE.GOLD&quot; =&gt; %{ &quot;available&quot; =&gt; 1, &quot;domain&quot; =&gt; &quot;FEDIVERSE.GOLD&quot;, &quot;premium&quot; =&gt; 0, &quot;price&quot; =&gt; 5.49, &quot;supported&quot; =&gt; 1 }, &quot;TRIBES.HOST&quot; =&gt; %{ &quot;available&quot; =&gt; 0, &quot;available_reason&quot; =&gt; &quot;in use&quot;, &quot;domain&quot; =&gt; &quot;TRIBES.HOST&quot;, &quot;premium&quot; =&gt; 0, &quot;supported&quot; =&gt; 1 } }, &quot;message&quot; =&gt; &quot;Command completed successfully.&quot; } }}","ref":"Epik.Client.html#request/6","title":"Epik.Client.request/6","type":"function"},{"doc":"Epik ElixirClient library for the Epik.com v2 API.","ref":"readme.html","title":"Epik Elixir","type":"extras"},{"doc":"The package can be installed by adding epik to your list of dependencies in mix.exs:def deps do [ {:epik, &quot;~&gt; 0.2.3&quot;} ] endConfigurationYou will then need to configure Epik for your application.import Config config :epik, signature: &quot;****-****-****-****&quot;, endpoint: &quot;https://usersapiv2.epik.com&quot;Supported optionssignature (required): Found in the API Settings of your Epik account.endpoint (required): The endpoint to use for requests. Set this to Epik's API endpoint in production. There is no default for safety reasons.http_client (optional): An HTTPoison compatible module. Used internally by Epik.Client to make requests. Defaults to HTTPoison.json_parser (optional): A Jason compatible parser module. Parses the response body in Epik.Client. Defaults to Jason.timeout (optional): Timeout for HTTP responses. Defaults to 60_000.","ref":"readme.html#installation","title":"Epik Elixir - Installation","type":"extras"},{"doc":"Use the Epik module to execute simple commands. Everything else can be done by calling Epik.Client directly.Checking domainsTo check the price and availability of domains, use Epik.check_domains/1.iex(1)&gt; Epik.check_domains([&quot;tribes.host&quot;, &quot;fediverse.gold&quot;]) {:ok, %HTTPoison.Response{ status_code: 200, body: %{ &quot;code&quot; =&gt; 1000, &quot;data&quot; =&gt; %{ &quot;FEDIVERSE.GOLD&quot; =&gt; %{ &quot;available&quot; =&gt; 1, &quot;domain&quot; =&gt; &quot;FEDIVERSE.GOLD&quot;, &quot;premium&quot; =&gt; 0, &quot;price&quot; =&gt; 5.49, &quot;supported&quot; =&gt; 1 }, &quot;TRIBES.HOST&quot; =&gt; %{ &quot;available&quot; =&gt; 0, &quot;available_reason&quot; =&gt; &quot;in use&quot;, &quot;domain&quot; =&gt; &quot;TRIBES.HOST&quot;, &quot;premium&quot; =&gt; 0, &quot;supported&quot; =&gt; 1 } }, &quot;message&quot; =&gt; &quot;Command completed successfully.&quot; } }}Registering a domainTo register a domain, call Epik.register_domain/2.iex(1)&gt; Epik.register_domain(&quot;fedigold.xyz&quot;, 1) {:ok, %HTTPoison.Response{ status_code: 200, body: %{ &quot;code&quot; =&gt; 1000, &quot;data&quot; =&gt; %{ &quot;FEDIGOLD.XYZ&quot; =&gt; %{ &quot;error&quot; =&gt; 0, &quot;message&quot; =&gt; &quot;Successfully created&quot;, &quot;payment&quot; =&gt; %{ &quot;error&quot; =&gt; 0, &quot;paymentStatus&quot; =&gt; true, &quot;paymentValue&quot; =&gt; 0.99, &quot;period&quot; =&gt; &quot;1&quot;, &quot;pricePerPeriod&quot; =&gt; 0.99 }, &quot;paymentStatus&quot; =&gt; true, &quot;paymentValue&quot; =&gt; 0.99, &quot;period&quot; =&gt; &quot;1&quot;, &quot;pricePerPeriod&quot; =&gt; 0.99 } }, &quot;message&quot; =&gt; &quot;Command completed successfully.&quot;, &quot;period&quot; =&gt; &quot;1&quot;, &quot;total&quot; =&gt; %{ &quot;amount&quot; =&gt; 0.99, &quot;message&quot; =&gt; &quot;Withdraw money successfully&quot;, &quot;method&quot; =&gt; &quot;Balance&quot;, &quot;success&quot; =&gt; true } } }}Other actionsAll other actions may be performed by using Epik.Client directly. For example:iex(1)&gt; Epik.Client.get(&quot;/v2/users&quot;, %{&quot;EMAIL&quot; =&gt; &quot;herman@munster.me&quot;}) {:ok, %HTTPoison.Response{ status_code: 200 body: %{ &quot;code&quot; =&gt; 1000, &quot;message&quot; =&gt; &quot;Command completed successfully.&quot;, &quot;user&quot; =&gt; %{ &quot;address1&quot; =&gt; &quot;1313 Mockingbird Lane&quot;, &quot;city&quot; =&gt; &quot;Mockingbird Heights&quot;, &quot;country&quot; =&gt; &quot;US&quot;, &quot;email&quot; =&gt; &quot;herman@munster.me&quot;, &quot;firstName&quot; =&gt; &quot;Herman&quot;, &quot;id&quot; =&gt; &quot;1313131&quot;, &quot;lastName&quot; =&gt; &quot;Munster&quot;, &quot;organization&quot; =&gt; &quot;&quot;, &quot;phone&quot; =&gt; &quot;+1.1234567890&quot;, &quot;state&quot; =&gt; &quot;NY&quot;, &quot;username&quot; =&gt; &quot;munster&quot;, &quot;zip&quot; =&gt; &quot;12200&quot; } } }}See the Epik.com v2 API docs for a full list of functions.","ref":"readme.html#usage","title":"Epik Elixir - Usage","type":"extras"},{"doc":"Epik Elixir is licensed under the MIT license. See LICENSE.md for a full copy of the license.","ref":"readme.html#license","title":"Epik Elixir - License","type":"extras"},{"doc":"MIT LicenseCopyright (c) 2021 Alex GleasonPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"MIT License","type":"extras"}]